Commit 17e1a7cb authored by Luca Giambonini's avatar Luca Giambonini

enable the py script to resolve deps

parent 69268cc2
......@@ -8,5 +8,5 @@ _do list_packages
# - it is assumed that the repository contains only compatible package
# versions, hence version information is ignored. If this assumption
# does not hold, makepkg will fail later on
#_do sort_packages_by_dependency
_do sort_packages_by_dependency
_do build_packages
......@@ -168,12 +168,13 @@ function get_validpgpkeys() {
# reorders $PACKAGES such that dependencies are built first
function sort_packages_by_dependency() {
local sorted_packages=()
for p in "${PACKAGES[@]}"; do
_build_add "${p}"
done
PACKAGES=("${sorted_packages[@]}")
#sorted_packages=${python2 ./_gitlab-ci-scripts/lib/rebuildlist-order.py ${PACKAGES[@]}}
#for p in "${PACKAGES[@]}"; do
# _build_add "${p}"
#done
#PACKAGES=("${sorted_packages[@]}")
sorted_packages=$(python2 ./_gitlab-ci-scripts/lib/rebuildlist-order.py ${PACKAGES[@]})
PACKAGES=("${sorted_packages[@]}")
}
# determine the repository to build against
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment